import React from "react";
import { Card, ConfigProvider } from 'antd';
import zhCN from "antd/lib/locale-provider/zh_CN";
import { PageHeaderWrapper } from "@ant-design/pro-layout";
import { createStore } from "@/hooks/moz";
import store from './store';
import Filter from './components/Filter';
import List from './components/List';
import Modal from './components/Modal';

export const { Provider, useStore } = createStore(store);

export default () => <Provider><<feewee>替换name</feewee> /></Provider>;

function <feewee>替换name</feewee>() {
  return (
    <PageHeaderWrapper title="<feewee>替换name</feewee>">
      <ConfigProvider locale={zhCN}>
        <Card bordered={false}>
          <Filter />
          <List />
          <Modal />
        </Card>
      </ConfigProvider>
    </PageHeaderWrapper>
  );
}
